#!/bin/bash

raws="$(grep -v "Recent\(ly\)\? \(Bookmarked\|Tags\)" bookmarks.html | grep -o "<A.*</A>$" | grep -n ".*")"

titles="$(grep -on "\">.*</A>$" <<< "${raws}" | sed 's/"\?>//;s/<\/A>$//')"
selection=$(dmenu -c -l 10 -bw 3 <<< "${titles}" | grep -o "^[0-9]*:")
url="$(grep "^${selection}" <<< "${raws}" | grep -o "HREF=\".*\" ADD_DATE" | sed 's/^HREF="//;s/" ADD_DATE$//')"

palemoon "${url}" || firefox "${url}" || chromium "${url}"
